"use strict";
var import_status_seeds = require("./seeds/status-seeds");
var import_user_seeds = require("./seeds/user-seeds");
var import_permission_seeds = require("./seeds/permission-seeds");
var import_menuItems_seeds = require("./seeds/menuItems-seeds");
var import_field_types_seeds = require("./seeds/field-types-seeds");
var import_master_grid_seeds = require("./seeds/master-grid-seeds");
var import_import_template_seeds = require("./seeds/import-template-seeds");
var import_entity_type_seeds = require("./seeds/entity-type-seeds");
var import_action_type_seeds = require("./seeds/action-type-seeds");
var import_language_seeds = require("./seeds/language-seeds");
var import_form_entity_seeds = require("./seeds/form-entity-seeds");
var import_languageContent_seeds = require("./seeds/languageContent-seeds");
var import_wizard_type_seeds = require("./seeds/wizard-type-seeds");
var import_dashboard_wizard_seeds = require("./seeds/dashboard-wizard-seeds");
var import_menus_seeds = require("./seeds/menus-seeds");
var import_mobileMenuItems_seeds = require("./seeds/mobileMenuItems-seeds");
var import_menuTypes_seeds = require("./seeds/menuTypes-seeds");
var import_role_seeds = require("./seeds/role-seeds");
var import_userRoles_seeds = require("./seeds/userRoles-seeds");
var import_email_template_process_seeds = require("./seeds/email-template-process-seeds");
var import_email_template_seeds = require("./seeds/email-template-seeds");
var import_configuration_seeds = require("./seeds/configuration-seeds");
var import_email_template_assignment_seeds = require("./seeds/email-template-assignment-seeds");
var import_program_year_seeds = require("./seeds/program-year-seeds");
var import_document_sequence_seeds = require("./seeds/document-sequence-seeds");
var import_data_transfer_queries_seeds = require("./seeds/data-transfer-queries-seeds");
var import_device_registration_seeds = require("./seeds/device-registration-seeds");
var import_export_template_seeds = require("./seeds/export-template-seeds");
const company_id = 1;
async function applicationSeeders() {
  try {
    await (0, import_status_seeds.statusSeeder)();
    await (0, import_entity_type_seeds.entityTypeSeeder)(company_id);
    await (0, import_action_type_seeds.actionTypeSeeder)(company_id);
    await (0, import_wizard_type_seeds.wizardTypeSeeder)(company_id);
    await (0, import_user_seeds.usersSeeder)(company_id);
    await (0, import_program_year_seeds.financialYearSeeder)(company_id);
    await (0, import_document_sequence_seeds.documentSequenceSeeder)(company_id);
    await (0, import_field_types_seeds.fieldTypesSeeder)(company_id);
    await (0, import_export_template_seeds.exportTemplatesSeeder)(company_id);
    await (0, import_import_template_seeds.importTemplatesSeeder)(company_id);
    await (0, import_master_grid_seeds.gridSeeder)(company_id);
    await (0, import_dashboard_wizard_seeds.wizardGroupSeeder)(company_id);
    await (0, import_form_entity_seeds.formEntitiesSeeder)(company_id);
    await (0, import_permission_seeds.permissionsSeeder)(company_id);
    await (0, import_menus_seeds.menusSeeder)(company_id);
    await (0, import_menuItems_seeds.menuItemsSeeder)(company_id);
    await (0, import_mobileMenuItems_seeds.mobileMenuItemsSeeder)(company_id);
    await (0, import_menuTypes_seeds.menuTypesSeeds)(company_id);
    await (0, import_language_seeds.languageSeeds)(company_id);
    await (0, import_languageContent_seeds.languageContentSeeds)(company_id);
    await (0, import_role_seeds.roleSeeds)(company_id);
    await (0, import_userRoles_seeds.userRolesSeeds)(company_id);
    await (0, import_email_template_process_seeds.emailTemplatesProcessSeeder)(company_id);
    await (0, import_email_template_seeds.emailTemplatesSeeder)(company_id);
    await (0, import_configuration_seeds.configurationsSeeder)(company_id);
    await (0, import_email_template_assignment_seeds.emailTemplateAssignmentsSeeder)(company_id);
    await (0, import_data_transfer_queries_seeds.dataTransferQueriesSeeder)(company_id);
    await (0, import_device_registration_seeds.deviceRegistrationSeeder)(company_id);
  } catch (error) {
    console.log(`Application seeder error: `, error);
  }
}
applicationSeeders();
